<?php
/*
    Plugin Name: Multi Site Category
    Plugin URI: http://www.kaasan.info
    Description: マルチサイトを任意でカテゴリー別けするプラグインです。
    Author: ITkaasan
    Version: 0.1
    Author URI: http://www.kaasan.info
*/

register_activation_hook( __FILE__, 'category_activate' );

function category_activate() {
	global $wpdb;
	
			$sql1 = "CREATE TABLE wp_blog_category(
			id int(11) NOT NULL AUTO_INCREMENT,
			sort int(11) NOT NULL DEFAULT '0',
			name varchar(255) NOT NULL,
			PRIMARY KEY (id),
			KEY sort (sort)
			)
			CHARACTER SET 'utf8'";
			
			$sql2 = "CREATE TABLE wp_blogs_type (
			id int(11) NOT NULL AUTO_INCREMENT,
			category_id int(11) NOT NULL,
			blog_id int(11) NOT NULL,
			PRIMARY KEY (id)
			)
			CHARACTER SET 'utf8'";
			
			$sql3 = "INSERT INTO wp_posts (post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt, post_status, comment_status, ping_status, post_password, post_name, to_ping, pinged, post_modified, post_modified_gmt, post_content_filtered, post_parent, guid, menu_order, post_type, post_mime_type, comment_count) VALUES
(1, NOW(), NOW(), '', 'Blogs', '', 'publish', 'closed', 'closed', '', 'blogs', '', '', NOW(), NOW(), '', 0, '', 0, 'page', '', 0)";
			
$wpdb->query($wpdb->prepare($sql1));
$wpdb->query($wpdb->prepare($sql2));			
$wpdb->query($wpdb->prepare($sql3));

}


function multi_site_category(){
  add_menu_page('Theme page title', 'サイトカテゴリ', 'manage_options', 'theme-options', 'wps_theme_func');
  if(is_main_site()){
  add_submenu_page( 'theme-options', 'Add Category', 'カテゴリの追加', 'manage_options', 'add-category', 'add_category');
  }
}
add_action('admin_menu', 'multi_site_category');

function wps_theme_func(){
                echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>
                <h2>マルチサイト一覧</h2></div>';
				include('table-manager-admin.php');
}


function add_category(){
                echo '<div class="wrap"><div id="icon-options-general" class="icon32"><br></div>
                <h2>カテゴリーの追加</h2></div>';
				include('category_add.php');
}


// プラグインの初期化関数（plugins_loaded アクションにフックされる） 
function widget_view() {  
    echo '<div class="widget">';
	echo '<h3 class="widgettitle">サイトカテゴリー</h3>';
    include('category_widget.php');
	echo '</div>';
}  


$options['description'] = 'マルチサイトのカテゴリーをサードバーに表示する';  
wp_register_sidebar_widget('サイトカテゴリー', 'サイトカテゴリー', 'widget_view' ,$options);
 
 

 
function user_add_message(){
	
	if(strpos($_SERVER["REQUEST_URI"],'blogs')){	
	include('category_site.php');
	}

}


function user_title(){
	
if(@$_GET['content']){
include('category_title.php');
$category_title = $name[0]['name'];

echo $category_title;
}

}

add_filter('the_content', 'user_add_message');  


if($_GET['content']){
add_filter('single_post_title', 'user_title');
}




?>